org.apache.ignite.spi.communication.tcp.internal

## Class TcpInverseConnectionResponseMessage

- java.lang.Object
- - org.apache.ignite.spi.communication.tcp.internal.TcpInverseConnectionResponseMessage

All Implemented Interfaces:
  Serializable, Message, TcpConnectionIndexAwareMessage

    public class TcpInverseConnectionResponseMessage
    extends Object
    implements TcpConnectionIndexAwareMessage

Inverse connection response message sent by client node as a response to inverse connection request received by discovery. The main purpose of this message is to communicate back to server node connection index of a thread waiting for establishing of communication connection.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from interface org.apache.ignite.spi.communication.tcp.internal.TcpConnectionIndexAwareMessage

`UNDEFINED_CONNECTION_INDEX`

### Fields inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`DIRECT_TYPE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`TcpInverseConnectionResponseMessage()`
`TcpInverseConnectionResponseMessage(int connIdx)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `connectionIndex()`
`short` `directType()` Gets message type.
`byte` `fieldsCount()` Gets fields count.
`void` `onAckReceived()` Method called when ack message received.
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`String` `toString()`
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TcpInverseConnectionResponseMessage

    public TcpInverseConnectionResponseMessage()

#### TcpInverseConnectionResponseMessage

    public TcpInverseConnectionResponseMessage(int connIdx)

### Method Detail

#### connectionIndex

    public int connectionIndex()

Specified by:
  `connectionIndex` in interface `TcpConnectionIndexAwareMessage`
Returns:
  `TcpConnectionIndexAwareMessage.UNDEFINED_CONNECTION_INDEX` if standard index has to be used. Desired connection index otherwise.

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                           MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### onAckReceived

    public void onAckReceived()

Method called when ack message received.

Specified by:
  `onAckReceived` in interface `Message`

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                            MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### directType

    public short directType()

Gets message type.

Specified by:
  `directType` in interface `Message`
Returns:
  Message type.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Specified by:
  `fieldsCount` in interface `Message`
Returns:
  Fields count.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021